# Method: projects.locations.effectiveEventThreatDetectionCustomModules.get

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.effectiveEventThreatDetectionCustomModules/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.effectiveEventThreatDetectionCustomModules/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.effectiveEventThreatDetectionCustomModules/get#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.effectiveEventThreatDetectionCustomModules/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.effectiveEventThreatDetectionCustomModules/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.effectiveEventThreatDetectionCustomModules/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.effectiveEventThreatDetectionCustomModules/get#try-it)

Gets the effective Event Threat Detection custom module at the given level.

The difference between an `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveEventThreatDetectionCustomModules#EffectiveEventThreatDetectionCustomModule` and an `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.eventThreatDetectionCustomModules#EventThreatDetectionCustomModule` is that the fields for an `EffectiveEventThreatDetectionCustomModule` are computed from ancestors if needed. For example, the enablement state for an `EventThreatDetectionCustomModule` can be `ENABLED`, `DISABLED`, or `INHERITED`. In contrast, the enablement state for an `EffectiveEventThreatDetectionCustomModule` is always computed as `ENABLED` or `DISABLED`.

### HTTP request

`GET https://securitycentermanagement.googleapis.com/v1/{name=projects/*/locations/*/effectiveEventThreatDetectionCustomModules/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the Event Threat Detection custom module, in one of the following formats: - `organizations/{organization}/locations/{location}/effectiveEventThreatDetectionCustomModules/{custom_module}` - `folders/{folder}/locations/{location}/effectiveEventThreatDetectionCustomModules/{custom_module}` - `projects/{project}/locations/{location}/effectiveEventThreatDetectionCustomModules/{custom_module}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveEventThreatDetectionCustomModules#EffectiveEventThreatDetectionCustomModule`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `securitycentermanagement.effectiveEventThreatDetectionCustomModules.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).